MagickCore: image-private.h File Reference

# image-private.h File Reference

Go to the source code of this file.

## Defines
#define | MagickPI 3.14159265358979323846264338327950288419716939937510
#define | MagickSQ1_2 0.7071067811865475244008443621048490
#define | MagickSQ2PI 2.50662827463100024161235523934010416269302368164062
#define | QuantumScale ((double) 1.0/(double) QuantumRange)
#define | UndefinedTicksPerSecond 100L
#define | UndefinedCompressionQuality 0UL
## Functions
static double | DegreesToRadians (const double degrees)
static MagickBooleanType | QuantumTick (const MagickOffsetType offset, const MagickSizeType span)
static MagickRealType | RadiansToDegrees (const MagickRealType radians)
static unsigned char | ScaleColor5to8 (const unsigned long color)
static unsigned char | ScaleColor6to8 (const unsigned long color)
static unsigned long | ScaleColor8to5 (const unsigned char color)
static unsigned long | ScaleColor8to6 (const unsigned char color)
## Variables
MagickExport const char * | BackgroundColor
MagickExport const char * | BorderColor
MagickExport const char * | DefaultTileFrame
MagickExport const char * | DefaultTileGeometry
MagickExport const char * | DefaultTileLabel
MagickExport const char * | ForegroundColor
MagickExport const char * | MatteColor
MagickExport const char * | LoadImageTag
MagickExport const char * | LoadImagesTag
MagickExport const char * | PSDensityGeometry
MagickExport const char * | PSPageGeometry
MagickExport const char * | SaveImageTag
MagickExport const char * | SaveImagesTag
MagickExport const double | DefaultResolution

## Define Documentation

#define MagickPI 3.14159265358979323846264338327950288419716939937510

#define MagickSQ1_2 0.7071067811865475244008443621048490

#define MagickSQ2PI 2.50662827463100024161235523934010416269302368164062

#define QuantumScale ((double) 1.0/(double) QuantumRange)

#define UndefinedCompressionQuality 0UL

#define UndefinedTicksPerSecond 100L

## Function Documentation

static double DegreesToRadians | ( | const double | degrees | ) | `[inline, static]`

static MagickBooleanType QuantumTick | ( | const MagickOffsetType | offset,
|  | const MagickSizeType | span |
| ) |  |  | `[inline, static]`

static MagickRealType RadiansToDegrees | ( | const MagickRealType | radians | ) | `[inline, static]`

static unsigned char ScaleColor5to8 | ( | const unsigned long | color | ) | `[inline, static]`

static unsigned char ScaleColor6to8 | ( | const unsigned long | color | ) | `[inline, static]`

static unsigned long ScaleColor8to5 | ( | const unsigned char | color | ) | `[inline, static]`

static unsigned long ScaleColor8to6 | ( | const unsigned char | color | ) | `[inline, static]`

## Variable Documentation

MagickExport const char* BackgroundColor

MagickExport const char * BorderColor

MagickExport const double DefaultResolution

MagickExport const char * DefaultTileFrame

MagickExport const char * DefaultTileGeometry

MagickExport const char * DefaultTileLabel

MagickExport const char * ForegroundColor

MagickExport const char * LoadImagesTag

MagickExport const char * LoadImageTag

MagickExport const char * MatteColor

MagickExport const char * PSDensityGeometry

MagickExport const char * PSPageGeometry

MagickExport const char * SaveImagesTag

MagickExport const char * SaveImageTag